Subject: Re: Cleanups for physmap_of.c (v2)

From: Segher Boessenkool <[email-masked]>
Date: Thu, 20 Sep 2007 19:11:59 +0200

> 	- (the big one) Despite the name, this driver really has
> nothing to do with drivers/mtd/physmap.c.  The fact that the flash
> chips must be physically direct mapped is a constrant, but doesn't
> really say anything about the actual purpose of this driver, which is
> to instantiate MTD devices based on information from the device tree.
> Therefore the physmap name is replaced everywhere within the file with
> "of_flash".

Do you think this code will handle NAND flash later, too?  If not,
maybe "of_norflash" is better?

Segher